#ifndef _Handle_DBC_VArrayNodeOfVArrayOfExtCharacter_HeaderFile
#define _Handle_DBC_VArrayNodeOfVArrayOfExtCharacter_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class DBC_VArrayNodeOfVArrayOfExtCharacter;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(DBC_VArrayNodeOfVArrayOfExtCharacter);

class Handle(DBC_VArrayNodeOfVArrayOfExtCharacter) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)():Handle(PStandard_ArrayNode)() {} 
    Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)(const Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)(const DBC_VArrayNodeOfVArrayOfExtCharacter* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)& operator=(const Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(DBC_VArrayNodeOfVArrayOfExtCharacter)& operator=(const DBC_VArrayNodeOfVArrayOfExtCharacter* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    DBC_VArrayNodeOfVArrayOfExtCharacter* operator->() const 
     {
      return (DBC_VArrayNodeOfVArrayOfExtCharacter *)ControlAccess();
     }

   Standard_EXPORT static const Handle(DBC_VArrayNodeOfVArrayOfExtCharacter) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
